/*
Theme Name: MINTvision
Theme URI: https://MINTvision.de
Version: 1.0
Description: Website Umsetzung
Author: MINTvision
Template: Avada
*/
/* =========================
   SCHRIFTGRÖßEN + Farben BACKUP
   ========================= */
/*
h1 {font-size: 35px!important; margin-bottom: 50px;}
h1 strong { font-weight: 700; }
h2 {font-size: 28px oder 35px!important; margin-bottom: 40px;} h2 Blog 22x
h3 {font-size: 22px!important;}
h4 {font-size: 18px!important;}
h5 {font-size: 16px!important;}
h6 {font-size: 14px!important;}

Font-Weights bei Render Problemen nochnmals im CSS definieren:
ExtraLight → 200
Light → 300
Regular → 400
Medium → 500
Bold → 700

Corporate-Blau: #13367b (RGB 19, 54, 123)
Corporate-Grün: #84ab1c (RGB 132, 171, 28)
Typo-Grün: #6e9a1f (RGB 110, 154, 31)
Typo/Fläche-Grau: #4a4a49 (RGB 74, 74, 73)
Fläche-Hellgrau: #a8a8a7 (RGB 168, 168, 167)
*/

/* =====================================================
   MENU
===================================================== */
#menu-container, .awb-menu {
  margin-top:0%!important;
}

.awb-menu_icons-left li:not(:last-child) > .awb-menu__main-a {
  position: relative;
}
.awb-menu_icons-left li:not(:last-child) > .awb-menu__main-a::after {
  content: "";
  display: inline-block;
  width: 1px;
  height: 12px;
  background-color: black;
  margin: 0 15px;
  vertical-align: middle;
}

.awb-menu__main-a .menu-text {
  display: inline;
  transform: none;
  font-weight: 400;
}

.awb-menu__main-a:hover .menu-text {
  color: #6e9a1f;
  transition: color 0.3s ease;
}

/* Aktiver Menülink */
.awb-menu__main-a[aria-current="page"] .menu-text,
.awb-menu__main-li.current-menu-ancestor .awb-menu__main-a .menu-text {
  font-weight: 700;
  font-family: montserratbold;
}

/* Breadcrumbs */
.fusion-breadcrumbs a {
  font-weight: 400;
}

.fusion-breadcrumbs a[href="https://aniev.de/verband/"],
.fusion-breadcrumbs a[href="https://aniev.de/themen/"] {
  pointer-events: none !important;
  cursor: text !important;
  text-decoration: none !important;
  color: inherit !important;
}
@media (max-width: 1400px) {
  .awb-breadcrumb-list li a[href*="translation_priority"],
  .awb-breadcrumb-list li.awb-breadcrumb-sep:has(a[href*="translation_priority"]) {
    display: none !important;
  }
}

/* Logo Abstand rechts */
@media (min-width: 1800px) {
#logo {
  right:0%;
}
}
@media (max-width: 1800px) {
#logo {
  right:2%;
}
}

/* Tablet Menu */
.awb-menu__m-toggle {
  color: #13367b !important;
  padding: 0 !important;
}

@media (max-width: 1400px) {
  .awb-menu {
    top: 0%;
  }

  .awb-menu_icons-left li:not(:last-child) > .awb-menu__main-a::after {
    display: none;
  }
#logo {
  right:4%;
}
}

/* Handy Menu */
@media (max-width: 755px) {
.awb-menu {
    top: 0px;
}
}
@media (max-width: 640px) {
#menu-spalte {
  max-width: 70%!important;
}
    /* Logo-Spalte */
    #logo {
        width: auto !important;       /* nicht die volle Breite */
        max-width: 120px !important;  /* Logo auf gewünschte Größe beschränken */
        margin: 0 !important;         /* alle Margen neutralisieren */
        padding: 0px !important;      /* optional: etwas Abstand */
        top: 0px;
        right: 0vw;
    }

    /* Logo-Bild */
    #logo img {
        width: 100%;                  /* skaliert das Bild in max-width */
        height: auto;                 /* proportional */
    }
}
@media (max-width: 440px) {
#menu-spalte {
  max-width: 65%!important;
}
    #logo {
        right: 0vw;
        max-width: 100px !important;  /* Logo auf gewünschte Größe beschränken */
    }
}

/* =====================================================
   HERO
===================================================== */

.home-column-links {
  position: relative;
  overflow: hidden;
  border-radius: 25px 0 0 25px;
}

.hero-rechts .fusion-column-wrapper {
  padding: 5% 10% 5% 5% !important;
}

.home-column-links .fusion-column-wrapper {
  height: 100%;
  display: block;
  position: relative;
  z-index: 2;
}

.home-column-links .fusion-video video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 1;
  border-radius: 25px 0 0 25px !important;
}

.fusion-selfhosted-video .video-wrapper {
  display: contents !important;
}

/* Desktop Banner */
.hero-links {
  border-radius: 25px 0 0 25px;
  overflow: hidden;
}

.hero-rechts {
  border-radius: 0 25px 25px 0;
  overflow: hidden;
}

.hero-rechts h1.title-heading-left, h1.title-heading-left {
  white-space: normal!important;
  overflow-wrap: normal!important;
  word-break:keep-all!important;
  hyphens:none!important;
  line-height: 1.2;
  font-size: clamp(22px, 4vw, 35px)!important;
}
  /* Gemeinsame Höhe */
  #banner-handy,
  .home-video,
  .home-column-links .fusion-video video,
  #banner-handy .hero-links,
  .home-column-links,
  #banner-handy .hero-rechts,
  .hero-rechts, .hero-links {
    height: 270px !important;
  }

  .hero-rechts {
    border-radius: 0 25px 25px 0;
    height: 270px !important;
  }

/* ================================
   TABLET & SMALL DESKTOP
================================ */
@media (max-width: 1400px) {

.banner-padding {
padding: 0 5%!important;
}

  .hero-rechts .fusion-column-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    padding: 20px 5%;
    box-sizing: border-box;
  }

  .hero-rechts .fusion-title,
  .hero-rechts .fusion-text {
    margin: 0 !important;
  }
}


/* ================================
   HANDY
================================ */
@media (max-width: 640px) {

  /* Gemeinsame Banner-Höhe */
  #banner-handy,
  .home-video,
  .home-column-links .fusion-video video {
    height: 140px !important;
    margin-bottom: 10px;
  }

  #banner-handy {
    margin-top: 25px;
  }

  /* 2/3 Links */
  #banner-handy .hero-links,
  .home-column-links {
    flex: 0 0 66.666% !important;
    max-width: 66.666% !important;
    height: 140px !important;
  }

  /* 1/3 Rechts */
  #banner-handy .hero-rechts,
  .hero-rechts {
    flex: 0 0 33.333% !important;
    max-width: 33.333% !important;
    height: 140px !important;
  }
}



/* =====================================================
   TITEL UND CONTENT PADDING
===================================================== */

#main {
  padding-top: 15px !important;
  min-height: 46vh;
}
@media (min-width: 640px) and (max-width: 1400px) {
  #content-tablet-handy {
    padding: 0 7vw!important;
  }
}
@media (max-width: 640px) {

.handy-titel-row h1{
margin-left: 30px!important;
padding-right: 5% !important;
padding-bottom:0%!important;
margin-bottom:-20px!important;
}
}
/* =====================================================
   TYPOGRAPHY
===================================================== */

body,
p,
.fusion-text,
.fusion-text p,
.post-content p {
  hyphens: none;
  overflow-wrap: break-word;
  word-break: normal;
  line-height: 1.6;
  margin-bottom: 1.5em;
  font-weight: 400 !important;
}
@media (min-width: 768px) {
  .fusion-text p,
  .post-content p {
    text-align: left;
  }
}

/* Links */
p a,
.fusion-text a {
  text-decoration: none;
  transition: color 0.3s ease;
  font-family: montserratsemibold !important;
  font-weight: 600 !important;
}

.semibold-arrow {
  font-family: montserratbold !important;
  font-weight: 700;
}

body a.telefon-link {
  font-family: montserratregular !important;
  color: #4a4a49 !important;
}

li.fusion-breadcrumb-item.awb-breadcrumb-sep.awb-home > a:hover {
  color: #6e9a1f !important;
}

/* Überschriften */
h1, h2, h3, h4, h5, h6 {
  letter-spacing: 0.008em;
  line-height: 1.2;
  transform: scaleX(1.10);
  transform-origin: left center;
}

h1, .fusion-title h1 {
  letter-spacing: 0.05em !important;
}

strong,
p strong,
em,
strong a,
a strong, b {
  font-family: montserratsemibold !important;
  font-weight: 700 !important;
}

strong.fw-700 {
  font-weight: 700;
  font-family: montserratmedium !important;
}
/* fett überall, aber NICHT auf Homepage*/
body:not(.home):not(.page-id-3007) h1 {
  font-weight: 700;
  font-family: montserratmedium !important;
}
/* blog typo */
.fusion-blog-layout-large .entry-title, .fusion-blog-layout-medium .entry-title {
    margin-bottom: 0.25em!important;
}
.single-post .post-content p, .blog .post-content p {
    margin-bottom: 0px!important;
}

/* =====================================================
   BLOG
===================================================== */
.single-post .fusion-meta-info {
    margin-left: 3.25% !important;
}
.fusion-blog-shortcode a {
  color: #4a4a49!important;
  font-family: montserratmedium !important;
}
/* startseiten news*/
.front-text .post-content p{
line-height:1.75em!important;
}

/* =====================================================
   MITGLIEDER
===================================================== */

.mitglieder-reihe {
  margin: 10px 0 0 !important;
  padding: 0 50px 0 30px!important;
  min-height: 185px !important;
}
@media (min-width: 790px) {
.mitglieder-reihe {
  padding: 0 2% 0 2.5%!important;
}
}
.mitglieder-reihe:nth-child(1) {
  margin-top: 30px !important;
}

.mitglieder-reihe .fusion-builder-row {
  margin: 0 !important;
  gap: 0 !important;
}

.mitglieder-reihe .fusion-layout-column {
  margin: 0 !important;
}

@media (min-width: 1025px) {
  .mitglieder-reihe .fusion-layout-column:nth-child(2) .fusion-text {
    margin-top: -8px !important;
  }
}

@media (max-width: 640px) {

  .mitglieder-reihe .fusion-layout-column {
    margin: 0 !important;
  }

  .mitglieder-reihe .fusion-layout-column .fusion-text {
    margin-top: 15px !important;
  }

  .mitglieder-reihe .post-content p {
    margin-bottom: 0 !important;
  }
}

.fusion-imageframe.bildungswerk-logo {
  padding: 10%;
}

.fusion-imageframe.bildungswerk-logo img {
  max-width: 50px;
}
/* =====================================================
   LOGIN-SEITE
===================================================== */
.login-seite-h2 h2 {
  font-size:16px!important;
  margin-right:40px!important;
  font-family: montserratsemibold!important;
  font-weight:700!important;
  color:#13367b!important;
}
@media (max-width:640px){
  .login-seite-h2 h2, .fliesstext-ohne-box p {
    margin-left:30px !important;
    margin-right:30px !important;
  }
}
.login-seite-h2 .title-sep-container {display:none; }

.page-id-41 h3 {
  font-family:montserratsemibold!important;
}

/* Datum */

.page-id-41 .datum strong {
  font-size:13px;
  font-family:montserratsemibold;
  margin:0;
}

.page-id-41 .datum h3 {
  font-size:13px;
  font-family:montserratsemibold;
  margin:0;
}

.page-id-41 .datum p {
  margin-bottom:10px;
}

/* Download Box */

.page-id-41 .Download-Box h4,
.page-id-41 .Download-Box h3,
.page-id-41 .Download-Box p, .page-id-41 p {
  font-size:13px;
  overflow-x:hidden;
  word-wrap:break-word;
  hyphens:auto;
}

.page-id-41 .Download-Box h4 {
  margin:0;
  font-family:'Arial','Helvetica',sans-serif;
}

.page-id-41 .Download-Box h3 {
  padding-right:20px;
  margin:4px 0 5px;
  font-family:'Arial','Helvetica',sans-serif;
}

.page-id-41 .Download-Box p, .page-id-41 p {
  margin:0;
  line-height:1.5em;
}

/* Farbboxen */

.farbe-1 .fusion-layout-column .fusion-column-wrapper,
.farbe-2 .fusion-layout-column .fusion-column-wrapper,
.farbe-3 .fusion-layout-column .fusion-column-wrapper {
  padding:30px 50px 30px 30px!important;
}

/* Farbe 1 */

.farbe-1 .fusion-layout-column .fusion-column-wrapper {
  background-color:rgba(63,136,29,0.08)!important;
}

.farbe-1 h3 {
  color:#6e9a1f;
}

.farbe-1 .fusion-button.button-flat {
  background-color:#84ab1c;
  padding:3px 12px;
  font-size:13px;
}

.farbe-1 .fusion-button.button-flat:hover {
  background-color:#4a4a49;
}

/* Farbe 2 */

.farbe-2 .fusion-layout-column .fusion-column-wrapper {
  background-color:rgba(168,168,167,0.08)!important;
}

.farbe-2 h3 {
  color:#6e9a1f;
}

.farbe-2 .fusion-button.button-flat {
  background-color:#84ab1c;
  padding:3px 12px;
  font-size:13px;
}

.farbe-2 .fusion-button.button-flat:hover {
  background-color:#a8a8a7;
}

/* Farbe 3 (neu - ersetzt veranstaltungen) */

.farbe-3 .fusion-layout-column .fusion-column-wrapper {
  background-color:#13367b12!important;
}

.farbe-3 h3 {
  color:#4a4a49;
}

.farbe-3 strong {
  color:#13367b;
  font-size:13px;
  font-family:montserratsemibold;
  margin:0;
}

.farbe-3 .fusion-button.button-flat {
  background-color:#13367b;
  padding:3px 12px;
  font-size:13px;
}

.farbe-3 .fusion-button.button-flat:hover {
  background-color:#4a4a49;
}

/* allgemeiner Button */

.fusion-button.button-flat.button-anlage {
  background-color:#84ab1c;
}

/* passwortgeschützter Login */
.post-password-form input[type=password] {
    margin: 0 0px!important;
}
.button-default:hover, .button.default:hover, .comment-form input[type="submit"]:hover, .fusion-button-default:hover, input.button-default:hover {
    background: #13367b!important;
}
.button-default {
    border-radius: 4px!important;
}
/* Passwortbereich auf mobilen Geräten einrücken */
form.post-password-form {
    padding-left: 30px;   /* Abstand links */
    padding-right: 30px;  /* Abstand rechts */
    box-sizing: border-box;
}
/* =====================================================
   IMPRESSUM
===================================================== */

.impressum h2,
.impressum .post-content h2 {
  margin-top: 2.5em;
  font-size: 16px;
}



/* =====================================================
   FOOTER
===================================================== */

.footer-allgemein a {
  color: white !important;
  text-decoration: underline !important;
  font-family: montserratregular !important;
}
.footer-allgemein a:nth-child(2), .footer-allgemein p > span {
  margin-left: 10px;
}

.footer-allgemein a:hover {
  color: #6e9a1f !important;
}
